> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order Docket Details

> Orders updates for the given docket from the court or cached version.



## OpenAPI

````yaml /api-reference/openapi.json put /dockets/{docket_id}/details
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /dockets/{docket_id}/details:
    put:
      tags:
        - Litigation & Bankruptcy
      summary: Order Docket Details
      description: Orders updates for the given docket from the court or cached version.
      operationId: order_docket_details_dockets__docket_id__details_put
      parameters:
        - name: docket_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: The ID of docket to fetch updates for.
            description: The unique identifier of the docket to fetch updates for.
            examples:
              - e92baa78-241d-40e6-80f1-c92a8b5662be
          description: The unique identifier of the docket to fetch updates for.
        - name: from_court
          in: query
          required: false
          schema:
            type: boolean
            title: Whether to fetch directly from court.
            description: >-
              Whether to fetch the docket details directly from the court. 
              Defaults to False.
            default: false
          description: >-
            Whether to fetch the docket details directly from the court. 
            Defaults to False.
        - name: Prefer
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Request execution preference (RFC 7240). Use ``respond-async`` for
              asynchronous execution, ``wait=N`` to specify a synchronous
              timeout hint in seconds, or ``priority=low`` to route the task to
              the low-priority queue.
            examples:
              - respond-async
              - wait=30
              - priority=low
            title: Prefer
          description: >-
            Request execution preference (RFC 7240). Use ``respond-async`` for
            asynchronous execution, ``wait=N`` to specify a synchronous timeout
            hint in seconds, or ``priority=low`` to route the task to the
            low-priority queue.
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.DocketDetailState'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.DocketDetailState:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: ID of the docket update request
        docket_id:
          type: string
          format: uuid
          title: Docket Id
          description: ID of the docket the search was performed for
        state:
          $ref: '#/components/schemas/TaskState'
          description: State of the update request
      type: object
      required:
        - id
        - docket_id
        - state
      title: DocketDetailState (v1)
      description: Represents a docket detail state.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````